#if !defined(AFX_GROUPCHECKBOX_H__D23F7B41_EC89_4C8E_8439_D58E100C1174__INCLUDED_)
#define AFX_GROUPCHECKBOX_H__D23F7B41_EC89_4C8E_8439_D58E100C1174__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// GroupCheckBox.h : header file
//

void AFXAPI DDX_GroupCheck(CDataExchange* pDX, int nIDC, int& value);

/////////////////////////////////////////////////////////////////////////////
// CGroupCheckBox window

class CGroupCheckBox : public CButton
{
// Construction
public:
	CGroupCheckBox();

// Attributes
public:
	enum TouchStyle{TCH_ALL, TCH_IGNORE};
	
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGroupCheckBox)
	protected:
	virtual void PreSubclassWindow();
	//}}AFX_VIRTUAL

// Implementation
public:
	int GetCheck();
	void SetCheck(int nCheck);
	void SetStyle(TouchStyle nStyle);

	virtual ~CGroupCheckBox();

	// Generated message map functions
protected:
	//{{AFX_MSG(CGroupCheckBox)
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	afx_msg void OnEnable(BOOL bEnable);
	//}}AFX_MSG
	afx_msg void OnClicked();
	afx_msg LRESULT OnGetCheck(WPARAM, LPARAM);
	afx_msg LRESULT OnSetCheck(WPARAM, LPARAM);
	DECLARE_MESSAGE_MAP()

private:
	int MoveTitle();
	void GroupboxControls(BOOL bActivate);

	CButton	m_CheckBox;
	TouchStyle m_nStyle;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GROUPCHECKBOX_H__D23F7B41_EC89_4C8E_8439_D58E100C1174__INCLUDED_)
